WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Simple Watermark

Automatically watermark images as they are viewed

This plugin allows you to Automatically add a watermark to all images as they are viewed on your WordPress Website. Watermarks are not permenant, original images are not edited. The plugin maintains a cached copy of the watermarked image, which can be cleared and regenerated at any time!

The plugin uses PNG watermark images with transparency for precise control over the appearance of the watermarks. This plugin also supports simple text watermarks with adjustable color, size and transparency. The user friendly settings page allows for control over the appearance of your watermark.
The watermark preview feature allows for easy testing of the plugin settings. The watermark size is controlled as a percentage of the target image, 50% means the watermark will be half the width of the target image.

This plugin needs to add to your .htaccess file, and will not work if you do not have a .htaccess file or mod_rewrite.

NOTE: This plugin may have a slight impact on the performance of your web server, use of the Included Basic Caching System is Highly Recommended! The premium version of this plugin also includes an Advanced Cache System which performs nearly identical to when the plugin is disabled.

Upgrade to Simple Watermark Ultra for advanced watermark features including:

  • Improved Performance with Advanced Cache
  • Fully Adjustable Image Watermark Position
  • Fully Adjustable Text Watermark Position
  • Adjustable JPEG Image Output Quality
  • Highest Quality Watermarks using Image Re-sampling rather than Re-sizing
  • Lifetime Priority Support and Update License

Developer Website: http://MyWebsiteAdvisor.com/

Plugin Support: http://MyWebsiteAdvisor.com/support/

Plugin Page: http://MyWebsiteAdvisor.com/tools/wordpress-plugins/simple-watermark/

Requirements:

  • PHP v5.0+
  • WordPress v3.3+
  • GD extension for PHP
  • FreeType extension for PHP
  • .htaccess file and mod_rewrite

To-do:

Requires: 3.3 or higher
Compatible up to: 3.5.2
Last Updated: 2013-5-21
Downloads: 1,142

Ratings

0 stars
0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,2,2
100,1,1